import Components from './components'

const install = function (Vue, opts = {}) {
  // 如果安装过就忽略
  if (install.installed) return

  // 指定组件 name
  Object.keys(Components).forEach((comp) => {
    Vue.component(comp, Components[comp])
  })

}

// 自动安装 方便打包成压缩文件, 用<script scr=''></script>的方式引用
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

// 把模块导出
export default {
  install,
  ...Components
}

let Nav = Components.Nav
let SearchBar = Components.SearchBar
let Exhibition = Components.Exhibition
let Charts = Components.Charts
let DisplayArea = Components.DisplayArea
let DispalySwitch = Components.DispalySwitch
let Indicator = Components.Indicator
let AsyncTable = Components.AsyncTable
let SwitchCard = Components.SwitchCard
let LazyTable = Components.LazyTable
let StructureTable = Components.StructureTable
let BasicEntityPage = Components.BasicEntityPage
let BasicSearchPage = Components.BasicSearchPage
let PieTable = Components.PieTable
export {
  Nav,
  SearchBar,
  Exhibition,
  Charts,
  DisplayArea,
  DispalySwitch,
  Indicator,
  AsyncTable,
  LazyTable,
  StructureTable,
  SwitchCard,
  BasicSearchPage,
  BasicEntityPage,
  PieTable
}


