import Vue from 'vue'
import Router from 'vue-router'
import Nav from '../views/nav/Nav.vue'
import A from '../views/nav/A.vue'
import B from '../views/nav/B.vue'
import C1 from '../views/nav/C1.vue'
import C2 from '../views/nav/C2.vue'

import SearchBar from '../views/SearchBar/SearchBar.vue'
import BasicSearchPage from '../views/basicSearchPage'
import SwitchCard from '../views/switchCard'
import BasicEntityPage from '../views/basicEntityPage'
import AsyncTable from '../views/asyncTable'
import PopFilter from '../views/popFilter'
import Filter from '../views/filter'

Vue.use(Router)

export default new Router({
                            routes: [
                              {
                                path: '/',
                                redirect: '/nav',
                                name: 'Home'
                              },
                              {
                                path: '/nav',
                                name: 'nav',
                                component: Nav,
                                children: [
                                  {
                                    path: 'a',
                                    name: 'A',
                                    component: A
                                  },
                                  {
                                    path: 'b',
                                    name: 'B',
                                    component: B
                                  },
                                  {
                                    path: 'c1',
                                    name: 'c1',
                                    component: C1
                                  },
                                  {
                                    path: 'c2',
                                    name: 'c2',
                                    component: C2
                                  },
                                ]
                              },
                              {
                                path: '/searchbar',
                                name: 'searchbar',
                                component: SearchBar
                              },
                              {
                                path: '/exhibition',
                                name: 'exhibition',
                                component: () => import('@/views/exhibition')
                              },
                              {
                                path: '/charts',
                                name: 'charts',
                                component: () => import('@/views/charts')
                              },
                              {
                                path: '/displayarea',
                                name: 'displayarea',
                                component: () => import('@/views/displayArea')
                              },
                              {
                                path: '/displayswitch',
                                name: 'displayswitch',
                                component: () => import('@/views/displaySwitch')
                              },
                              {
                                path: '/indicator',
                                name: 'indicator',
                                component: () => import('@/views/indicator')
                              },
                              {
                                path: '/basicSearchPage',
                                name:'basicSearchPage',
                                component:BasicSearchPage
                              },
                              {
                                path: '/switchCard',
                                name:'switchCard',
                                component:SwitchCard
                              },
                              {
                                path: '/lazyTable',
                                name:'lazyTable',
                                component:() => import('@/views/lazyTable')
                              },
                              {
                                path: '/structureTable',
                                name:'structureTable',
                                component:() => import('@/views/structureTable')
                              },
                              {
                                path: '/basicEntityPage',
                                name:'basicEntityPage',
                                component:BasicEntityPage
                              },
                              {
                                path: '/asyncTable',
                                name:'asyncTable',
                                component:AsyncTable
                              },
                              {
                                path: '/popFilter',
                                name:'popFilter',
                                component:PopFilter
                              },
                              {
                                path: '/filter',
                                name:'filter',
                                component:Filter
                              },
                            ]
                          })
